import _Vue from 'vue';
import { IOption } from '../directives/aware';
import { Manager } from './manager';
declare type rafCallback = (delta: number, now: number, context: _Vue) => void;
interface IRafOption extends IOption<rafCallback> {
}
export declare class Raf extends Manager<IRafOption> {
    private oldTime;
    private raf;
    constructor(eventName: string);
    bind(): void;
    unbind(): void;
    private handler;
    private onTick;
}
export {};
